<?php
/**
 * more_information sidebox - displays list of links to additional pages on the site.  Must separately build those pages' content.
 *
 * @package templateSystem
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: ez_pages_toc.php 3464 2006-04-19 00:07:26Z ajeh $
 */

// test if box should display

  unset($ez_pages_toc);
  unset($ez_pages_title);// niccol adds this ################################################

$pages_order_toc_query = "SELECT *
                      FROM " . TABLE_EZPAGES . "
                      WHERE ((status_toc = 1 and toc_sort_order <> 0) and toc_chapter= :chapterID )
                      AND alt_url_external = '' and alt_url = ''
                      ORDER BY toc_sort_order, pages_title";

$pages_order_toc_query = $db->bindVars($pages_order_toc_query, ':chapterID', $chapter_id, 'integer');
$pages_listing_toc = $db->execute($pages_order_toc_query);

// test if links should display
	$ii = 0;// niccol adds this ################################################
    while (!$pages_listing_toc->EOF) {

	$ez_pages_title[] = $pages_listing_toc->fields['pages_title']; // niccol adds this ################################################
	$ez_pages_id[] = $pages_listing_toc->fields['pages_id']; // niccol adds this ################################################

// could be used to change classes on current link and toc (table of contents) links
      if($ii>0){// niccol adds this ################################################
      if ($pages_listing_toc->fields['pages_id'] == $_GET['id']) {
        $ez_pages_toc[] = '<div>' . CURRENT_PAGE_INDICATOR . '<a href="' . zen_ez_pages_link($pages_listing_toc->fields['pages_id']) . '">' . $pages_listing_toc->fields['pages_title'] . '</a>' . '</div>';
      } else {
        $ez_pages_toc[] = '<div>' . NOT_CURRENT_PAGE_INDICATOR . '<a href="' . zen_ez_pages_link($pages_listing_toc->fields['pages_id']) . '">' . $pages_listing_toc->fields['pages_title'] . '</a>' . '</div>';
      }
      }// niccol adds this ################################################
      $ii++;// niccol adds this ################################################
	$pages_listing_toc->MoveNext();
    }

// only show if there is an EZ-PAGES TOC
  if (sizeof($ez_pages_toc) > 0) {
    require($template->get_template_dir('tpl_ez_pages_toc.php',DIR_WS_TEMPLATE, $current_page_base,'sideboxes'). '/tpl_ez_pages_toc.php');
    $title =  '<a href="' . zen_ez_pages_link($ez_pages_id[0]) . '">' . $ez_pages_title[0] . '</a>';// niccol edits this ################################################
    $title_link = false;
    require($template->get_template_dir($column_box_default, DIR_WS_TEMPLATE, $current_page_base,'common') . '/' . $column_box_default);
  }
?>
